#global gitdate 20130514
#global gitversion 77a1594
%global tarball xf86-video-qxl

%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name:    x11-driver-video-qxl
Version: 0.1.1
Release: %mkrel 4
Summary: X.org driver for QEMU QXL paravirt video
Group:  System/X11
URL:    http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.xz
Patch1: qxl-kms-disable-composite.patch
Patch2: 0005-spiceqxl_display-only-use-qxl-interface-after-it-is-.patch
Patch6: 0006-spiceqxl_spice_server-no-need-to-call-spice_server_s.patch
Patch7: 0007-xspice-chown-both-files-used-by-vdagent-for-suid-Xor.patch
Patch8: 0008-Xspice-cleanup-non-regular-files-too.patch
Patch9: 0009-Xspice-fix-cleanup-when-some-processes-are-already-d.patch
Patch10: 0010-Xspice-cleanup-vdagent-files.patch
 
License: MIT

BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: spice-protocol
BuildRequires: libdrm-devel
BuildRequires: kernel-devel
BuildRequires: libudev-devel

%description
X.org driver for QEMU QXL paravirt video.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
%apply_patches
autoreconf -f -i

%build
KINC=$(ls /usr/src/*/include/uapi/ -d|tail -1)
CFLAGS="%optflags -I$KINC"
echo ">> CFLAGS='$CFLAGS'"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so


%changelog

